$(document).ready(function() {

	setLabel($('#search-1'), 'inline');
	$('#search-1').focus(function () {
		$(this).prev("label").css('display', 'none');
	}).blur(function () {
		setLabel($(this), 'inline');
	});

	$('.tab-list1 a').click(function(){
		setTab($(this));
		return false;
	});

	//initSelect($('.select'));
	initCheckbox($('.checkbox'));
	initRadio($('.radio'));

	if($('.l-content-top-holder').length) $('.l-content-right').css({'margin-top' : 270})
	
}).click(function() {
	$('.select').removeClass('active');
});


/*************************************/

function setLabel (nod, action) {
	nod.each(function(){
		var value = $(this).val();
		if (!value){
			$(this).prev('label').css('display', action);
		};
	});
};

/*************************************/

function initSelect(nod) {
	nod.each(function(i, v) {
		$(v).unbind().bind('click', function (event) {
			event.stopPropagation();
		});
		$(v).find('.select-input').unbind().bind('click', function (event) {
			nod.not($(v)).removeClass('active');
			$(v).toggleClass('active');
			//var e = $(v).find('.select-list');
			//e.css({'top' : '', 'bottom' : ''});
			//if(e.offset().top+e.outerHeight(true) > $(document).height()) e.css({'top' : 'auto', 'bottom' : '100%'});
			event.stopPropagation();
			return false;
		});
		$(v).find('input').unbind().bind('click', function () {
			$(v).toggleClass('active');
			setSelect($(v));
		});
	});
	setSelect(nod);
};
function setSelect(nod) {
	nod.each(function(i, v) {
		var value = $(v).find('input:checked').parent('label').text();
		if(value) $(v).find('.select-input').removeClass('empty').text(value);
		else {
			var e = $(v).find('.select-input');
			e.addClass('empty');
			if(e.data('text')) e.text(e.data('text'));
		};
	});
};

/*************************************/

function initCheckbox(nod) {
	nod.each(function(i, v) {
		$(v).find('input').unbind().bind('click', function () {
			setCheckbox($(v));
		});
		setCheckbox($(v));
	});
};
function setCheckbox(nod) {
	if(nod.find('input').is(':checked')) nod.addClass('active');
	else nod.removeClass('active');
};

/*************************************/

function initRadio(nod) {
	nod.each(function(i, v) {
		$(v).find('input').unbind().bind('click', function () {
			setRadio(nod);
		});
	});
	setRadio(nod);
};
function setRadio(nod) {
	nod.each(function(i, v) {
		if($(v).find('input').is(':checked')) $(v).addClass('active');
		else $(v).removeClass('active');
	});
};

/*************************************/

function setTab(nod) {
	var id = nod.attr('id');
	nod.addClass('active').siblings().removeClass('active');
	$('#'+id+'-body').addClass('active').siblings().removeClass('active');
};

/*************************************/

$(function(){
    var wrapper = $( ".file_upload" );
    wrapper.each(function() {
        var inp = $(this).find( "input" ),
        btn = $(this).find( "button" ),
        lbl = $(this).find( "div" );

        btn.focus(function(){
            inp.focus()
        });
        // Crutches for the :focus style:
        inp.focus(function(){
            $(this).addClass( "focus" );
        }).blur(function(){
                $(this).removeClass( "focus" );
        });


        var file_api = ( window.File && window.FileReader && window.FileList && window.Blob ) ? true : false;

        inp.change(function(){
            var file_name;
            if( file_api && inp[ 0 ].files[ 0 ] )
                file_name = inp[ 0 ].files[ 0 ].name;
            else
                file_name = inp.val().replace( "C:\\fakepath\\", '' );

            if( ! file_name.length )
                return;

            if( lbl.is( ":visible" ) ){
                lbl.text( file_name );
                btn.text( "выберите файл" );
            }else
                btn.text( file_name );
        }).change();
    });

});

$( window ).resize(function(){
    $( ".file_upload input" ).triggerHandler( "change" );
});


$(function(){
		$(".b-font a.fs12").click(function(){
        $(this).addClass("selected");
        $(this).siblings("a").removeClass("selected");
        $("body").css("font-size", "12px")
    });

		$(".b-font a.fs14").click(function(){
        $(this).addClass("selected");
        $(this).siblings("a").removeClass("selected");
        $("body").css("font-size", "18px")
    });

		$(".b-font a.fs16").click(function(){
        $(this).addClass("selected");
        $(this).siblings("a").removeClass("selected");
        $("body").css("font-size", "22px")
    });
});

$(window).load(function () {
    $("select").each(function() {
        if($(this).css("display")!=="none"){
            $(this).ikSelect();
        }
    });

    $( "#datepicker-1" ).datepicker();
    $( "#datepicker-2" ).datepicker();
});

$(function(){
	$("#begin").click(function(){
	    ('.cycle-slideshow').cycle('goto', 0);
    });

	var slidecount = $(".bp-main-holder a").length;
	$('.slider-nav-end').attr('data-cycle-arg', slidecount-1);

});

/*************************************/
function setEqualHeight(columns)
{
var tallestcolumn = 0;
columns.each(
function()
{
currentHeight = $(this).height();
if(currentHeight > tallestcolumn)
{
tallestcolumn = currentHeight;
}
}
);
columns.height(tallestcolumn);
}
$(document).ready(function() {
setEqualHeight($(".bs-col6 > .bs-item > .bs-title"));
setEqualHeight($(".bs-col5 > .bs-item > .bs-title"));
setEqualHeight($(".bs-col3 > .bs-item > .bs-title"));
setEqualHeight($(".bs-col6-sub > .bs-item > .bs-title"));
setEqualHeight($(".bs-col5-sub > .bs-item > .bs-title"));
setEqualHeight($(".bs-col3-sub > .bs-item > .bs-title"));

});
/*************************************/